aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libmemcached/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-01-20 13:17:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-01-20 13:17:41 +0000
commit7e7f320e4eef8b71e54d4472dfb5f54543a2b268 (patch)
tree21ddf28c865a44e46220b7687758259094a55de5 /testing/libmemcached/APKBUILD
parentec681e067927337a44f943a1b03bf16452f5261b (diff)
downloadaports-7e7f320e4eef8b71e54d4472dfb5f54543a2b268.tar.gz
aports-7e7f320e4eef8b71e54d4472dfb5f54543a2b268.tar.bz2
aports-7e7f320e4eef8b71e54d4472dfb5f54543a2b268.tar.xz
testing/libmemcached: new aport
Client library and command line tools for memcached server http://libmemcached.org/
Diffstat (limited to 'testing/libmemcached/APKBUILD')
-rw-r--r--testing/libmemcached/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/testing/libmemcached/APKBUILD b/testing/libmemcached/APKBUILD
new file mode 100644
index 0000000000..50d91670d9
--- /dev/null
+++ b/testing/libmemcached/APKBUILD
@@ -0,0 +1,55 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libmemcached
+pkgver=1.0.18
+pkgrel=0
+pkgdesc="Client library and command line tools for memcached server"
+url="http://libmemcached.org/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
+source="https://launchpad.net/libmemcached/${pkgver%.*}/${pkgver}/+download/libmemcached-${pkgver}.tar.gz
+ musl-fixes.patch
+ "
+
+_builddir="$srcdir"/libmemcached-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --disable-static \
+ --disable-sasl \
+ --enable-libmemcachedprotocol \
+ --enable-memaslap \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
+ return 0
+}
+
+md5sums="b3958716b4e53ddc5992e6c49d97e819 libmemcached-1.0.18.tar.gz
+de32e3cbd74c0bef8c49d50cf57ae764 musl-fixes.patch"
+sha256sums="e22c0bb032fde08f53de9ffbc5a128233041d9f33b5de022c0978a2149885f82 libmemcached-1.0.18.tar.gz
+188bc487122570ba681ec2781633a368abe5bb1613d0727235c767c25d3b155d musl-fixes.patch"
+sha512sums="2d95fea63b8b6dc7ded42c3a88a54aad74d5a1d417af1247144dae4a88c3b639a3aabc0c2b66661ff69a7609a314efaaae236e10971af9c428a4bca0a0101585 libmemcached-1.0.18.tar.gz
+ff8f59d2b6d3b7d1d110ff3f1d03dbceba3a000271e69f465ffd02e77c0a092e6904b19ac4aea624a0622cec6a16ecd048f46107e011cb9011027ef71265aaf5 musl-fixes.patch"